package ua.be.wee.model.nodes.ports;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;

import com.fasterxml.jackson.annotation.JsonManagedReference;

import ua.be.wee.model.nodes.Activity;
import ua.be.wee.model.nodes.Artifact;

@Entity
public class DataOutputPort extends Port {
	
	@ManyToOne(cascade = CascadeType.ALL)
	@JsonManagedReference
	private Activity act;

	@ManyToOne(cascade = CascadeType.ALL)
	@JsonManagedReference
	private Artifact art;
	
	public Activity getActivity() {
		return act;
	}

	public void setActivity(Activity act) {
		this.act = act;
	}
	
	public Artifact getArtifact() {
		return art;
	}
	
	public void setArtifact(Artifact art) {
		this.art = art;
	}
		
}
